﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;
using System.Windows.Media;

namespace XamDataChart_Data
{

    public class ChartViewModel
    {
        public ChartViewModel()
        {
            Data = new SimpleDataCollection();
            Y0AxisViewModel = new
            {
                LabelSettings =
                    new AxisLabelSettings { Location = AxisLabelsLocation.OutsideLeft, Extent = 35 },
                BackgroundBrush = new LinearGradientBrush(Colors.White, Colors.Red, 90d)                
            };

            Y1AxisViewModel = new
            {
                LabelSettings =
                    new AxisLabelSettings { Location = AxisLabelsLocation.OutsideLeft, Extent = 45 },
                BackgroundBrush = new LinearGradientBrush(Colors.White, Colors.Green, 90d)
            };

            BackgroundBrush = new SolidColorBrush(Colors.SeaGreen);
        }

        public SimpleDataCollection Data { get; private set; }
        public object Y0AxisViewModel { get; private set; }
        public object Y1AxisViewModel { get; private set; }
        public Brush BackgroundBrush { get; private set; }

    }

    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            Random rand = new Random();
            DateTime date = new DateTime(2014, 1, 1);
            for (int i = 1; i <= 20; i++)
            {               
                string yrLabel = date.Year.ToString();
                this.Add(new SimpleDataPoint() { Label = yrLabel,  Value0 = rand.Next(0, 100), Value1 = rand.Next(50, 150), Date = date });
                date = date.AddDays(15);
            }
        }
    }

    public class SimpleDataPoint
    {
        public double Value0 { get; set; }
        public double Value1 { get; set; }
        public string Label { get; set; }
        public string Title { get; set; }
        public DateTime Date { get; set; }
    }

}
